package com.community.huiju.dao;

import com.community.huiju.model.ToSysMenu;
import com.community.huiju.model.TpSysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpSysMenuMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpSysMenu record);

    int insertSelective(TpSysMenu record);

    TpSysMenu selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpSysMenu record);

    int updateByPrimaryKey(TpSysMenu record);

    /**
     * 根据角色id 查询出菜单
     * @param roleId
     * @return
     */
    List<TpSysMenu> selectByRoleId(@Param("roleId") Integer roleId);
}